package supperSlonic.dynamoDBDAL.Table;

import supperSlonic.amazonConnection.AmazonContext;

public abstract class DynamoDBTable
{
	protected String tableName;
	
	public DynamoDBTable(AmazonContext context)
	{
		this.tableName = String.format(this.getTableNameTemplate(), context.getEnviroment());
	}

	public String getTableName()
	{
		return this.tableName;
	}
	
	protected abstract String getTableNameTemplate();
}
